MarinerWrtParserInternal::Zone Struct Reference documentation

MarinerWrtParserInternal::Zone Struct Reference

Internal: the struct used to store the zone of a MarinerWrtParser. More...

## Public Types
enum | Type { Z_Main , Z_Footnote , Z_Header , Z_Footer , Z_Unknown }
| a enum to define the diffent zone type More...

## Public Member Functions
| Zone ()
| constructor

## Public Attributes
int | m_id
| the zone id
uint32_t | m_fileId
| the file zone id
Type | m_type
| the zone type
bool | m_endNote
| a flag to know if this an endnote
long | m_height
| height of the zone
MWAWVec2l | m_RBpos
| right/bottom position
MWAWBox2l | m_dim
| the zone total position
MWAWBox2i | m_pageDim
| the page dimension (?)
MWAWBox2i | m_pageTextDim
| the zone of text dimension ( ie page less margins)
MWAWSection | m_section
| the section
MWAWColor | m_backgroundColor
| the background color
std::string | m_extra
| extra data

## Friends
std::ostream & | operator<< (std::ostream &o, Zone const &zone)
| operator<<

## Detailed Description

Internal: the struct used to store the zone of a MarinerWrtParser.

## Member Enumeration Documentation

## ◆ Type

enum MarinerWrtParserInternal::Zone::Type

a enum to define the diffent zone type

Enumerator
Z_Main |
Z_Footnote |
Z_Header |
Z_Footer |
Z_Unknown |

## Constructor & Destructor Documentation

## ◆ Zone()

MarinerWrtParserInternal::Zone::Zone | ( |  | ) |
| inline

constructor

Referenced by operator<<.

## Friends And Related Symbol Documentation

## ◆ operator<<

std::ostream & operator<< | ( | std::ostream & | o,
|  | Zone const & | zone )
| friend

operator<<

## Member Data Documentation

## ◆ m_backgroundColor

MWAWColor MarinerWrtParserInternal::Zone::m_backgroundColor

the background color

Referenced by operator<<, MarinerWrtParser::readZoneHeader(), and Zone().

## ◆ m_dim

MWAWBox2l MarinerWrtParserInternal::Zone::m_dim

the zone total position

Referenced by operator<<, MarinerWrtParser::readZoneHeader(), and Zone().

## ◆ m_endNote

bool MarinerWrtParserInternal::Zone::m_endNote

a flag to know if this an endnote

Referenced by operator<<, MarinerWrtParser::readZoneHeader(), and Zone().

## ◆ m_extra

std::string MarinerWrtParserInternal::Zone::m_extra

extra data

Referenced by operator<<, MarinerWrtParser::readZoneHeader(), and Zone().

## ◆ m_fileId

uint32_t MarinerWrtParserInternal::Zone::m_fileId

the file zone id

Referenced by operator<<, MarinerWrtParser::readZoneHeader(), and Zone().

## ◆ m_height

long MarinerWrtParserInternal::Zone::m_height

height of the zone

Referenced by operator<<, MarinerWrtParser::readZoneHeader(), and Zone().

## ◆ m_id

int MarinerWrtParserInternal::Zone::m_id

the zone id

Referenced by Zone().

## ◆ m_pageDim

MWAWBox2i MarinerWrtParserInternal::Zone::m_pageDim

the page dimension (?)

Referenced by Zone().

## ◆ m_pageTextDim

MWAWBox2i MarinerWrtParserInternal::Zone::m_pageTextDim

the zone of text dimension ( ie page less margins)

Referenced by Zone().

## ◆ m_RBpos

MWAWVec2l MarinerWrtParserInternal::Zone::m_RBpos

right/bottom position

Referenced by operator<<, MarinerWrtParser::readZoneHeader(), and Zone().

## ◆ m_section

MWAWSection MarinerWrtParserInternal::Zone::m_section

the section

Referenced by Zone().

## ◆ m_type

Type MarinerWrtParserInternal::Zone::m_type

the zone type

Referenced by operator<<, MarinerWrtParser::readZoneHeader(), and Zone().

The documentation for this struct was generated from the following file:

- MarinerWrtParser.cxx